<!DOCTYPE html>
<html lang="en">
	<head>
		<title>The Garden</title>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">
		<link rel="stylesheet" type="text/css" href="css/style.css">
	</head>
	<body>
    	<script>	
			var currentTreeType;
			var currentBushesChoice;
			
			var tree;
			var bushes;
			
			function updateScene( emptyScene ){
				
				var treeTypeSelect = document.getElementById('treeTypeSelect');
				var treeType = treeTypeSelect.options[treeTypeSelect.selectedIndex].value;
				
				var bushesChoice = document.getElementById('bushesChoiceCB').checked;
				
				if(emptyScene == true){
					//Aggiungo l'albero di default
					tree = getPlant(treeType);
					addToScene(tree);
					//Salvo la configurazione corrente
					currentTreeType = treeType;
					currentBushesChoice = false;
				}else{
					//Se l'albero da disegnare è diverso da quello corrente rimuovo il vecchio e aggiungo il nuovo
					if(treeType != currentTreeType){
						removeToScene(tree);
						tree = getPlant(treeType);
						addToScene(tree);
						currentTreeType = treeType;
					}
					//Se la scelta riguardo alla visualizzazione dei cespugli è cambiata li aggiungo o rimuovo
					if(bushesChoice == true && currentBushesChoice == false ){
						
						bushes = new Array();
						
						//var nbushes = Math.floor(Math.random()*(30-10+1)+10);
						for(var i=0; i<10; i++){
							do{
								var x = Math.floor(Math.random()*(1900-250+1)+250);
								var z = Math.floor(Math.random()*(1900-250+1)+250);
							}while((x<950 && z<950) || (x>1300 && z>1300));
							bushes.push( getPlant("bush") );
							var bush = bushes[bushes.length -1];
							bush.position.addVectors(bush.position, new THREE.Vector3( x, 0, z ));
							addToScene(bush);
							
						}
						
						//var nbushes = Math.floor(Math.random()*(30-10+1)+10);
						for(var i=0; i<10; i++){
							do{
								var x = Math.floor(Math.random()*(-1900+250+1)-250);
								var z = Math.floor(Math.random()*(-1900+250+1)-250);
							}while((x>-950 && z>-950) || (x<-1300 && z<-1300));
							bushes.push( getPlant("bush") );
							var bush = bushes[bushes.length -1];
							bush.position.addVectors(bush.position, new THREE.Vector3( x, 0, z ));
							addToScene(bush);
						}
						
						//var nbushes = Math.floor(Math.random()*(30-10+1)+10);
						for(var i=0; i<10; i++){
							do{
								var x = Math.floor(Math.random()*(-1900+250+1)-250);
								var z = Math.floor(Math.random()*(1900-250+1)+250);
							}while((x>-950 && z<950) || (x<-1300 && z>1300));
							bushes.push( getPlant("bush") );
							var bush = bushes[bushes.length -1];
							bush.position.addVectors(bush.position, new THREE.Vector3( x, 0, z ));
							addToScene(bush);
						}
						
						//var nbushes = Math.floor(Math.random()*(30-10+1)+10);
						for(var i=0; i<10; i++){
							do{
								var x = Math.floor(Math.random()*(1900-250+1)+250);
								var z = Math.floor(Math.random()*(-1900+250+1)-250);
							}while((x<950 && z>-950) || (x>1300 && z<-1300));
							bushes.push( getPlant("bush") );
							var bush = bushes[bushes.length -1];
							bush.position.addVectors(bush.position, new THREE.Vector3( x, 0, z ));
							addToScene(bush);
						}
						
						currentBushesChoice = true;
						
					}else if(bushesChoice == false && currentBushesChoice == true ){
						
						while( typeof bushes !== 'undefined' && bushes.length > 0){
							removeToScene( bushes.pop() );
						}
						
						currentBushesChoice = false;
					}
				}
			}			
		</script>       
 		<div class="settingPanel">
        	<div class="titleDiv">
            	<h1 class="titleLabel">The Garden</h1>
            </div>            
            <div class="settingDiv" id="settingBox">
                <select name="treeType" id="treeTypeSelect">
                    <option value="dryTree" selected>Dry tree</option>
                    <option value="treeWithLeaves">Tree with leaves</option>
                    <option value="dryFir">Dry fir</option>
                    <option value="firWithLeaves">Fir with leaves</option>
                </select>
                <input type="checkbox" name="drawBushes" id="bushesChoiceCB"/>
                <label class="bushesLabel">Bushes</label>
                <button class="settingFormBtn" id="updateSceneBtn" onClick="updateScene(false)">Update</button>
            </div>
            <div class="authorDiv">
            	<p class="authorNameLabel">Cristian Lastrucci</p>
            	<p class="authorEmailLabel">cristian.lastrucci@gmail.com</p>
            </div>            
        </div>
		<script src="threejs/build/three.js"></script>
		<script src="threejs/examples/js/controls/OrbitControls.js"></script>
    
		<script src="js/rendering.js"></script>
        
        <script src="js/treeBuilder.js"></script>
        
        <script>		
			updateScene(true);
		</script>

	</body>
</html>
